Bug 58027 - [ide-scsi] Linux hangs when trying to mount the cdrom
[ide-scsi] Linux hangs when trying to mount the cdrom
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-01-06 07:06 EST by Parthasarathy
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 20:09:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Parthasarathy 2002-01-06 07:06:45 EST
Description of Problem:
When i try to mount the cdrom, the system hangs and requires a hard 

Version-Release number of selected component (if applicable):
red hat linux 
v 7.2

How Reproducible:

Steps to Reproduce:


Expected Results:

Additional Information:
Comment 1 Parthasarathy 2002-01-07 20:55:11 EST
I have installed redhat liux 7.2 under intel where i am facing the problem of
system freezing when trying to mount the cdrom (iso ). 

I have also installed redhat linxu 7.1 under amd which isworking proper
Comment 2 Arjan van de Ven 2002-01-08 09:07:31 EST
do you have any idea which model cdrom you're using ?
(if not, typing

cat /proc/ide/*/model

as root will tell me which it is)
Comment 3 Need Real Name 2002-01-14 17:25:46 EST
I have come across the same problem on:
1, linux 7.2
2, An AMD k63
3, CD re-write drive, a Goldstar/LG, GCE-8160B., ide channel 1, set as master
with a slave SYQUEST drive.

When I try to mount a disk for read, the read light flashes for about 30 seconds
and then a re-boot is required.  The same thing happens if I do a dd
if=/dev/crdrom etc.

The cd-rom was set up to be used for re burning with cdrecord, i.e. ide-scsi was

I have now removed the ide-scsi and access the CD-rom directly on hdc and I can
now use the cd-rom for read only, which is only OK for the short term.

I saw that round about release 2.4.10 of the kernel, a bug was fixed for scsi
buffer race condition, any comment on that patch as a possible fix?
Comment 4 Need Real Name 2002-01-17 17:46:57 EST
This will only help if you are using the SCSI emulation.

You can tell by see which real device /dev/cdrom is linked to, if it is linked
to something like /dev/sc0, then you have scsi emulation.

To get the full picture, see /usr/share/doc/howto/CDROM-howto, if you have that

The way I disabled ide-scsi is as follow:
I am using grub as the boot loader.
I have a boot file system called /boot
go into /boot/grub/grub.conf and remove the words "hdc=ide-scsi", your cd-rom
may not be hdc, you will need to sort that.  Then re-boot.  Don't forget to save
a copy of your old config file in case everything goes pear shape.

Hope that works for you, best of luck.
Comment 5 Need Real Name 2002-01-19 18:33:41 EST
My final comment on this one:

In my case, the problem was caused by the the fact that when using the ide-sccsi
driver, the mode of access default to DMA.  Once I have disabled dma access,
every thing now works.

I have to disable DMA by changing /etc/rc.d/ec.local,  I added the line:

hdparm -d0 /dev/hdc


Note You need to log in before you can comment on or make changes to this bug.